<template>
  <cdx-message :type="props.type" :fade-in="true" :auto-dismiss="true" :display-time="3000">
    {{ props.message }}
  </cdx-message>
</template>

<script setup lang="ts">
import { CdxMessage } from "@wikimedia/codex";

type Props = {
  message: string;
  type:  "notice" | "warning" | "error" | "success" | undefined;
};

const props = withDefaults(defineProps<Props>(), {
  type: "notice",
});

</script>